foreign files utilities {bnlearn} | R Documentation

## Read and write BIF, NET, DSC and DOT files

### Description

Read networks saved from other programs into `bn.fit` objects, and dump `bn` and `bn.fit` objects into files for other programs to read.

### Usage

    # Old (non-XML) Bayesian Interchange format.
    read.bif(file, debug = FALSE)
    write.bif(file, fitted)

    # Microsoft Interchange format.
    read.dsc(file, debug = FALSE)
    write.dsc(file, fitted)

    # HUGIN flat network format.
    read.net(file, debug = FALSE)
    write.net(file, fitted)

    # Graphviz DOT format.
    write.dot(file, graph)

### Arguments

`file` | a connection object or a character string.
`fitted` | an object of class `bn.fit`.
`graph` | an object of class `bn` or `bn.fit`.
`debug` | a boolean value. If `TRUE` a lot of debugging output is printed; otherwise the function is completely silent.

### Value

`read.bif()`, `read.dsc()` and `read.net()` return an object of class `bn.fit`.

`write.bif()`, `write.dsc()`, `write.net()` and `write.dot()` return `NULL` invisibly.

### Note

All the networks present in the Bayesian Network Repository have associated BIF, DSC and NET files that can be imported with `read.bif()`, `read.dsc()` and `read.net()`.

HUGIN can import and export NET files; Netica can read (but not write) DSC files; and GeNIe can read and write both DSC and NET files.

DOT files can be read by Graphviz, Gephi and a variety of other programs.

Please note that these functions work on a "best effort" basis, as the parsing of these formats have been implemented by reverse engineering the file format from publicly available examples.

### Author(s)

Marco Scutari

### References

Bayesian Network Repository, https://www.bnlearn.com/bnrepository/.

[Package bnlearn version 4.7.1 Index]